Skip to content
BrainyShorts Docs
Esc
navigateopen⌘Jpreview

Register or update an executor

An executor is the machine and agent that runs local automations. Pass executor_id to update an existing one.

POST/api/agent/executors
Authorization
AuthorizationBearer token (ba_sk_...) · headerrequired

API key from /dashboard/api-keys. Keys expire after 365 days.

Request body
requiredapplication/json
executor_idstring
namestringrequired
max length 100
agent_typestringrequired
max length 50
device_labelstring
capabilitiesobject
Responses
200

OK

executorobject
401

Missing, invalid, expired, or revoked API key

errorstringrequired
codestring
404

EXECUTOR_NOT_FOUND

errorstringrequired
codestring
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST "https://www.brainyshorts.com/api/agent/executors" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "executor_id": "string",
  "name": "string",
  "agent_type": "codex",
  "device_label": "string",
  "capabilities": {}
}'
Response
{
  "executor": {}
}